package io.renren.modules.app.dao;

import io.renren.modules.app.entity.HKmEntity;
import com.baomidou.mybatisplus.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 科目
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-11 11:09:45
 */
@Mapper
public interface HKmDao extends BaseMapper<HKmEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param hKmEntity
	 * @return
	 */
	List<HKmEntity> queryByPage(HKmEntity hKmEntity);

	List<HKmEntity> selectejcd(HKmEntity hKmEntity);

	List<HKmEntity> selectejcd2(HKmEntity hKmEntity);

	List<HKmEntity> selectsjcd102(HKmEntity hKmEntity);
	
	List<HKmEntity> selectsjcd1022(HKmEntity hKmEntity);
	
	List<HKmEntity> selectsjcd10222(HKmEntity hKmEntity);
	
	List<HKmEntity> selectsjcd102222(HKmEntity hKmEntity);

	List<HKmEntity> selectsjcd110(HKmEntity hKmEntity);

	List<HKmEntity> selectsjcd207(HKmEntity hKmEntity);

	List<HKmEntity> selectsjcd211(HKmEntity hKmEntity);

	List<HKmEntity> selectsjcd411(HKmEntity hKmEntity);

	List<HKmEntity> select4ji(HKmEntity hKmEntity);

	HKmEntity select4ji6(HKmEntity hKmEntity);
	
	List<HKmEntity> select4ji2(HKmEntity hKmEntity);

	HKmEntity select4ji62(HKmEntity hKmEntity);

}
